#
# spec file
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define app_name sd_notify

Name:           erlang-%{app_name}
Version:        1.1
Release:        2.4
%define app_ver {%version}
Summary:        Erlang interface to systemd notify subsystem
License:        MIT
URL:            https://github.com/systemd/erlang-sd_notify
Source0:        erlang-%{app_name}-%{version}.tar.xz
BuildRequires:  erlang-rebar
Requires:       erlang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Erlang module for native access to the systemd-notify facilities.

%prep
%setup -q

%build
%rebar compile

%install
mkdir -p %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/ebin
install -m 644 -p ebin/%{app_name}.app %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/ebin
install -m 644 -p ebin/%{app_name}.beam %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/ebin

%files
%defattr(-,root,root,-)
%license LICENSE
%dir %{erlang_libdir}/%{app_name}-%{app_ver}
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/ebin
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/%{app_name}.app
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/*.beam

%changelog
* Sat Sep 10 2022 Matwey Kornilov <matwey.kornilov@gmail.com>
- Format spec file.
- Move LICENSE to %%license
* Tue Sep 22 2020 matwey.kornilov@gmail.com
- Update to version 1.1:
  * update rpm to 1.1
  * Remove the build directory mamually
  * Update travis
  * Remove old erlang versions
  * Clean rebar before start tests
  * Clean rebar before start tests
  * Change Rebar to rebar3
  * Add support for Rebar3
  * Enable Erlang 23 on CentOS
  * Add API proposed by Max Lapshin
  * Unset NOTIFY_SOCKET env if requested
  * Don't check Erlang/OTP versions anymore
  * Switch to native Unix sockets
  * whitespace
  * Enable Erlang 22 on CentOS
  * whitespace
  * Use latest Erlang 20/21
  * make clean
  * Docker images for 20 and 21
  * Docker images for 20 and 21
  * Docker images for 20 and 21
  * trigger build
  * Update README.md
  * Remove docker image build 18-19-20
  * Rollback
  * Change rpm repositories
  * Fix docker file
  * Fix docker file for ubuntu
  * Add instructions for OpenSUSE/SLES
  * test erlang 20 and 21
  * add erlang 20 and 21 dockerfiles
  * rename dir 19 to 19.3
  * use ubuntu 16.04, update erlang version
* Thu Dec 19 2019 Dominique Leuenberger <dimstar@opensuse.org>
- BuildRequire pkgconfig(libsystemd) instead of systemd-devel:
  Allow OBS to shortcut through the -mini flavors.
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Mon Apr 16 2018 matwey.kornilov@gmail.com
- sd_pid_notify_with_fds() function is available in systemd v219
* Mon Apr 16 2018 opensuse-packaging@opensuse.org
- Update to version 1.0:
  * docker build and rebar config
  * add tag
  * Update README.md
  * Update README.md
  * update readme
  * Update the CentOS build for sd_notify to support Debian.
  * Use "git" as version in app-file
  * Update 18.3.1
  * Update 18.3.1
  * Update 18.3.1 fix
  * Fix rabbitmq installation link
  * update debian package
  * update README
  * added sd_pid_notify
  * added sd_pid_notifyf
  * cosmetics
  * docker build
  * update readme
  * add docker for Erlang 19
  * modified readme
  * docker for 19
  * Cosmetic
  * Wrong array number
  * Remove duplicated code
  * Implement sd_pid_notify_with_fds
  * Update README.md
  * update for 19.1
  * Add more files to ignore
  * Change the docker image
  * Add rpm spec for Centos
  * Add rpm spec for Centos
  * Restore history spec
  * update to 0.13
  * Add stub for NIF upgrade
  * Fix another one typo
  * Remove whitespace
  * Remove bogus test stub
  * Add basic test
  * Make alias - make check -> make test
  * change version to 0.14
  * Run tests only if Erlang ver. is 19
  * Enable testing
  * List available Erlang versions
  * Add more Erlang versions
  * test systemd
  * Move test message creation to where it belongs
  * Don't fake list of sockets
  * Add docker image to test Erlang 19 on Ubuntu
  * Update docker image to 19.3
  * Change package version to 1.0
* Thu Jul  2 2015 rhafer@suse.com
- Make sure to link against libsystemd to avoid "undefined symbol:
  sd_notify" errors
* Tue Jun 23 2015 tbechtold@suse.com
- Initial packaging
